Bullet Collision Detection & Physics Library: btTranslationalLimitMotor Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btTranslationalLimitMotor Class Reference

`#include <btGeneric6DofConstraint.h>`

Collaboration diagram for btTranslationalLimitMotor:
[legend]

## Public Member Functions
| btTranslationalLimitMotor ()
| btTranslationalLimitMotor (const btTranslationalLimitMotor &other)
bool | isLimited (int limitIndex) const
| Test limit.
bool | needApplyForce (int limitIndex) const
int | testLimitValue (int limitIndex, btScalar test_value)
btScalar | solveLinearAxis (btScalar timeStep, btScalar jacDiagABInv, btRigidBody &body1, const btVector3 &pointInA, btRigidBody &body2, const btVector3 &pointInB, int limit_index, const btVector3 &axis_normal_on_a, const btVector3 &anchorPos)

## Public Attributes
btVector3 | m_lowerLimit
| the constraint lower limits
btVector3 | m_upperLimit
| the constraint upper limits
btVector3 | m_accumulatedImpulse
bool | m_enableMotor [3]
btVector3 | m_targetVelocity
| target motor velocity
btVector3 | m_maxMotorForce
| max force on motor
btVector3 | m_currentLimitError
btVector3 | m_currentLinearDiff
| How much is violated this limit.
int | m_currentLimit [3]
| Current relative offset of constraint frames.
btScalar | m_limitSoftness
| Linear_Limit_parameters.
btScalar | m_damping
| Damping for linear limit.
btScalar | m_restitution
btVector3 | m_normalCFM
| Bounce parameter for linear limit.
btVector3 | m_stopERP
| Error tolerance factor when joint is at limit.
btVector3 | m_stopCFM
| Constraint force mixing factor when joint is at limit.

## Detailed Description

Definition at line 131 of file btGeneric6DofConstraint.h.

## Constructor & Destructor Documentation

## ◆ btTranslationalLimitMotor() [1/2]

btTranslationalLimitMotor::btTranslationalLimitMotor | ( |  | ) |
| inline

Definition at line 153 of file btGeneric6DofConstraint.h.

## ◆ btTranslationalLimitMotor() [2/2]

btTranslationalLimitMotor::btTranslationalLimitMotor | ( | const btTranslationalLimitMotor & | other | ) |
| inline

Definition at line 173 of file btGeneric6DofConstraint.h.

## Member Function Documentation

## ◆ isLimited()

bool btTranslationalLimitMotor::isLimited | ( | int | limitIndex | ) | const
| inline

Test limit.

- free means upper < lower,
- locked means upper == lower
- limited means upper > lower
- limitIndex: first 3 are linear, next 3 are angular

Definition at line 201 of file btGeneric6DofConstraint.h.

## ◆ needApplyForce()

bool btTranslationalLimitMotor::needApplyForce | ( | int | limitIndex | ) | const
| inline

Definition at line 205 of file btGeneric6DofConstraint.h.

## ◆ solveLinearAxis()

btScalar btTranslationalLimitMotor::solveLinearAxis | ( | btScalar | timeStep,
|  | btScalar | jacDiagABInv,
|  | btRigidBody & | body1,
|  | const btVector3 & | pointInA,
|  | btRigidBody & | body2,
|  | const btVector3 & | pointInB,
|  | int | limit_index,
|  | const btVector3 & | axis_normal_on_a,
|  | const btVector3 & | anchorPos
| ) |  |

find relative velocity

apply displacement correction

Definition at line 235 of file btGeneric6DofConstraint.cpp.

## ◆ testLimitValue()

int btTranslationalLimitMotor::testLimitValue | ( | int | limitIndex,
|  | btScalar | test_value
| ) |  |

Definition at line 206 of file btGeneric6DofConstraint.cpp.

## Member Data Documentation

## ◆ m_accumulatedImpulse

btVector3 btTranslationalLimitMotor::m_accumulatedImpulse

Definition at line 136 of file btGeneric6DofConstraint.h.

## ◆ m_currentLimit

int btTranslationalLimitMotor::m_currentLimit[3]

Current relative offset of constraint frames.

0=free, 1=at lower limit, 2=at upper limit

Definition at line 151 of file btGeneric6DofConstraint.h.

## ◆ m_currentLimitError

btVector3 btTranslationalLimitMotor::m_currentLimitError

Definition at line 149 of file btGeneric6DofConstraint.h.

## ◆ m_currentLinearDiff

btVector3 btTranslationalLimitMotor::m_currentLinearDiff

How much is violated this limit.

Definition at line 150 of file btGeneric6DofConstraint.h.

## ◆ m_damping

btScalar btTranslationalLimitMotor::m_damping

Damping for linear limit.

Definition at line 140 of file btGeneric6DofConstraint.h.

## ◆ m_enableMotor

bool btTranslationalLimitMotor::m_enableMotor[3]

Definition at line 146 of file btGeneric6DofConstraint.h.

## ◆ m_limitSoftness

btScalar btTranslationalLimitMotor::m_limitSoftness

Linear_Limit_parameters.

Softness for linear limit

Definition at line 139 of file btGeneric6DofConstraint.h.

## ◆ m_lowerLimit

btVector3 btTranslationalLimitMotor::m_lowerLimit

the constraint lower limits

Definition at line 134 of file btGeneric6DofConstraint.h.

## ◆ m_maxMotorForce

btVector3 btTranslationalLimitMotor::m_maxMotorForce

max force on motor

Definition at line 148 of file btGeneric6DofConstraint.h.

## ◆ m_normalCFM

btVector3 btTranslationalLimitMotor::m_normalCFM

Bounce parameter for linear limit.

Constraint force mixing factor

Definition at line 142 of file btGeneric6DofConstraint.h.

## ◆ m_restitution

btScalar btTranslationalLimitMotor::m_restitution

Definition at line 141 of file btGeneric6DofConstraint.h.

## ◆ m_stopCFM

btVector3 btTranslationalLimitMotor::m_stopCFM

Constraint force mixing factor when joint is at limit.

Definition at line 144 of file btGeneric6DofConstraint.h.

## ◆ m_stopERP

btVector3 btTranslationalLimitMotor::m_stopERP

Error tolerance factor when joint is at limit.

Definition at line 143 of file btGeneric6DofConstraint.h.

## ◆ m_targetVelocity

btVector3 btTranslationalLimitMotor::m_targetVelocity

target motor velocity

Definition at line 147 of file btGeneric6DofConstraint.h.

## ◆ m_upperLimit

btVector3 btTranslationalLimitMotor::m_upperLimit

the constraint upper limits

Definition at line 135 of file btGeneric6DofConstraint.h.

The documentation for this class was generated from the following files:

- btGeneric6DofConstraint.h
- btGeneric6DofConstraint.cpp